#!/usr/bin/python
# -*- coding: UTF-8 -*-

import csv
import json

data = {}
data['type'] = "FeatureCollection"
data['features'] = []

with open("sites.csv", "rU")as f:
	sites = csv.reader(f)
	
	for row in sites:
		print row
		element = {}
		element['type'] = "Feature"
		element['properties'] = {}
		# element['properties']['marker-size'] = 'small'
		# element['properties']['radius'] = 3
		element['properties']['id'] = row[0]
		element['properties']['name'] = row[1]
		element['properties']['city'] = row[2]
		element['geometry'] = {}
		element['geometry']['type'] = "Point"
		if row[3] != '':
			element['geometry']['coordinates'] = [float(row[3]), float(row[4])]

			data['features'].append(element)

json.dump(data, open("sites.json", "wb"))
